// HealthBox.h: interface for the HealthBox class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEALTHBOX_H__912411C0_3909_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_HEALTHBOX_H__912411C0_3909_11DA_A3AA_00C049EEF779__INCLUDED_

#include "Sprite.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Sprite.h"
#include "Texture.h"

class HealthBox  
{
public:
	void Initialize();
	int Update(Sprite& player);
	Sprite sprite;
	HealthBox();
	virtual ~HealthBox();

	operator = (HealthBox& other)
	{
		bActive = other.bActive;
		maxTime = other.maxTime;
		value = other.value;
		sprite.visible = other.sprite.visible;
	}

protected:
	bool bActive;
	float maxTime;
	float value;
};

#endif // !defined(AFX_HEALTHBOX_H__912411C0_3909_11DA_A3AA_00C049EEF779__INCLUDED_)
