// Sprite.h: interface for the Sprite class.
//
//////////////////////////////////////////////////////////////////////

#ifndef SPRITE_H_INCLUDED
#define SPRITE_H_INCLUDED

#include "Texture.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif

class Camera;
class Texture;

class Sprite  
{
public:
	Colour colour;
	bool visible;
	float zDepth;
	Texture texture;
	bool Cull(Camera& cam);
	void Render();
	float rotation;
	float height;
	float width;
	float yPos;
	float xPos;
	Sprite();
	virtual ~Sprite();

};

#endif
