// StoryHandler.h: interface for the StoryHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STORYHANDLER_H__64137240_38D0_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_STORYHANDLER_H__64137240_38D0_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EventHandler.h"

class StoryHandler : public EventHandler  
{
public:
	bool bInGame;
	LevelHandler* lvl;
	void OnKeys(bool keys[256]);
	void Render();
	void OnMouseUp(bool lmb, bool rmb);
	void OnMouse(float x, float y);
	void Initialize();
	StoryHandler();
	virtual ~StoryHandler();

protected:
	float mouseY;
	float mouseX;
	Camera cam;
	Sprite background;
};

#endif // !defined(AFX_STORYHANDLER_H__64137240_38D0_11DA_A3AA_00C049EEF779__INCLUDED_)
