// TextRenderer.h: interface for the TextRenderer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTRENDERER_H__912411C1_3909_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_TEXTRENDERER_H__912411C1_3909_11DA_A3AA_00C049EEF779__INCLUDED_

#include "Texture.h"	// Added by ClassView
#pragma once

class TextRenderer  
{
public:
	Colour colour;
	void CreateFont();	//Recreates a font based on the current LOGFONT struct
	LOGFONT lf;
	static HDC dc;
	void Clear();
	float zDepth;
	void Render(float x, float y);
	void LoadFromFile(char* file);
	TextRenderer();
	virtual ~TextRenderer();
	string text;
protected:
	int base;
	HFONT hFont;
};

#endif // !defined(AFX_TEXTRENDERER_H__912411C1_3909_11DA_A3AA_00C049EEF779__INCLUDED_)
