// HealthBox.cpp: implementation of the HealthBox class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "HealthBox.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HealthBox::HealthBox()
{

}

HealthBox::~HealthBox()
{

}

int HealthBox::Update(Sprite &player)
{
	if(!bActive)
		return 0;

	value += m;
	if(value > 0)
	{
		sprite.visible = true;
		if(value > maxTime)
		{
			value = -(rand() % 45);
			maxTime = rand() % 15;
			sprite.visible = false;
			sprite.xPos = (rand() % 180) - 90;
			sprite.yPos = (rand() % 180) - 90;
			return 0;
		}
		if(Collide(player, sprite))
		{
			sprite.visible = false;
			bActive = false;
			return (rand() % 5) + 5;
		}
	}else{
		sprite.visible = false;
	}
	return 0;
}

void HealthBox::Initialize()
{
	bActive = true;
	value = -(rand() % 45);
	maxTime = rand() % 15;
	sprite.xPos = (rand() % 180) - 90;
	sprite.yPos = (rand() % 180) - 90;
}
