// Ninja.h: interface for the Ninja class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NINJA_H__219F4020_3843_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_NINJA_H__219F4020_3843_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Monster.h"
#include "Texture.h"	// Added by ClassView

class Ninja : public Monster  
{
public:
	int GetType();
	int priority;
	bool bDir;
	float destY;
	float destX;
	vector<Texture> ninjaTex;
	void Setup();
	int Move(float xPos, float yPos);
	Ninja();
	virtual ~Ninja();
	vector<Ninja*>* peers;
protected:
	float attackTimer;
};

#endif // !defined(AFX_NINJA_H__219F4020_3843_11DA_A3AA_00C049EEF779__INCLUDED_)
