// Robot.h: interface for the Robot class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROBOT_H__E7CC0540_48E1_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_ROBOT_H__E7CC0540_48E1_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Monster.h"

class Robot : public Monster  
{
public:
	float speed;
	float destX;
	float destY;
	float attackTimer;
	float angle;
	int GetType();
	vector<Monster*>* monsters;
	void Setup();
	int Move(float xPos, float yPos);
	void Render();
	Robot();
	virtual ~Robot();
	Sprite flame;
};

#endif // !defined(AFX_ROBOT_H__E7CC0540_48E1_11DA_A3AA_00C049EEF779__INCLUDED_)
