// TransitionHandler.h: interface for the TransitionHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSITIONHANDLER_H__C7D719A1_37FC_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_TRANSITIONHANDLER_H__C7D719A1_37FC_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EventHandler.h"

class TransitionHandler : public EventHandler  
{
public:
	void Render();
	void BeginTransition(EventHandler* start, EventHandler* end, float time);
	void Update();
	TransitionHandler();
	virtual ~TransitionHandler();

protected:
	float startValue;
	EventHandler* end;
	EventHandler* start;
	float value;
};

#endif // !defined(AFX_TRANSITIONHANDLER_H__C7D719A1_37FC_11DA_A3AA_00C049EEF779__INCLUDED_)
